Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 22/02/2021, à 18:12

caillou12

Impossible d'installer Wine

Bonjour à tous,
Je suis novice sur ce système d'exploitation
Je viens d'installer Ubuntu 20.04.2 LTS.
J'ai un compte sur Epic Games et je souhaite continuer a jouer sur ce lanceur. Après de nombreuse recherche, il semblerai qu'il fait installer Wine. Après d'autres recherches il semblerai qu'il vaut mieux passer par le site Wine HQ.
J'ai donc lancer l'installation via le terminal mais ça ne s’installe pas et ça me met un message d'erreur :


pierre@pierre-Inspiron-3505:~$ sudo apt install --install-recommends winehq-stable
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
winehq-stable : Dépend: wine-stable (= 6.0.0~groovy-1)
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».


Je doit aussi avouer que dans un premier temps j'ai installer un "paquet" qui ne correspondait pas a ma version d'ubuntu :

-sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ groovy main'
Au lieu de :
-sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ focal main'

J'ai refait la manip pour mettre le bon "paquet"

J'ai essayé de fouiller sur internet mais je n'ai rien trouvé de concluant (ou de compréhensible).
Il est possible que ça soit simple comme bonjour pour certains mais pour moi c'est du chinois hmm.
J’espère que quelqu'un pourra m'aider,
Merci Par avance

Hors ligne

#2 Le 22/02/2021, à 19:35

abelthorne

Re : Impossible d'installer Wine

Donne le retour de :

cat /etc/apt/sources.list
ls /etc/apt/sources.list.d
cat /etc/apt/sources.list.d/*.list
apt list | grep "installé, local"
dpkg -l | grep wine

(Donne les retours des commandes entre balises Code.)


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#3 Le 22/02/2021, à 19:41

Tawal

Re : Impossible d'installer Wine

Hello,
Petit aparté : Je conseillerai d'utiliser PlayOnLinux pour gérer wine.
Ça offre une interface graphique et ça évite de mettre le bazar dans wine (gestion des disques virtuels, versions de wine  ...)

Dernière modification par Tawal (Le 22/02/2021, à 19:42)


Le savoir n'a d’intérêt que si on le transmet.
Debian 10 Buster stable - Xfce

Hors ligne

#4 Le 22/02/2021, à 19:45

abelthorne

Re : Impossible d'installer Wine

Oui et non : POL utilisera quand même la version système de Wine, ça peut être utile de la maintenir à jour. Il peut certes installer des versions diverses manuellement, mais s'il faut le faire pour chaque jeu installé...

Il y a aussi Lutris, qui est à mon avis plus intéressant que POL (ne serait-ce que pour le support par défaut de DXVK) et il me semble qu'il intègre ses propres versions de Wine d'origine, mais elles ne sont pas forcément immédiatement à jour.

Dernière modification par abelthorne (Le 22/02/2021, à 19:47)


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#5 Le 22/02/2021, à 20:50

caillou12

Re : Impossible d'installer Wine

Merci des retours,
Désolé pour les codes...
Je met le premier resultat en 3 parties car ca ne rentre pas en une seule (je crois)

 pierre@pierre-Inspiron-3505:~$ cat /etc/apt/sources.list
# deb cdrom:[Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1)]/ focal main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ focal main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ focal universe
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal universe
deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates universe
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ focal multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates multiverse
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu focal partner
# deb-src http://archive.canonical.com/ubuntu focal partner
deb http://security.ubuntu.com/ubuntu focal-security main restricted
# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
deb http://security.ubuntu.com/ubuntu focal-security universe
# deb-src http://security.ubuntu.com/ubuntu focal-security universe
deb http://security.ubuntu.com/ubuntu focal-security multiverse
# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
deb https://dl.winehq.org/wine-builds/ubuntu/ groovy main
# deb-src https://dl.winehq.org/wine-builds/ubuntu/ groovy main
deb https://dl.winehq.org/wine-builds/ubuntu/ focal main
# deb-src https://dl.winehq.org/wine-builds/ubuntu/ focal main 
pierre@pierre-Inspiron-3505:~$ ls /etc/apt/sources.list.d
lutris-team-ubuntu-lutris-focal.list  lutris-team-ubuntu-lutris-focal.list.save
pierre@pierre-Inspiron-3505:~$ cat /etc/apt/sources.list.d/*.list
deb http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal main
# deb-src http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal main
pierre@pierre-Inspiron-3505:~$ pt list | grep "installé, local"

La commande « pt » n'a pas été trouvée, mais peut être installée avec :

sudo apt install tcllib 

Doit je installer "pt" ?

"dpkg -l | grep wine" ne donne rien du tout

Pour info, j'avais Litrus d'installer (mais j'ai désinstaller entre temps)
Voila voila

Hors ligne

#6 Le 22/02/2021, à 21:20

abelthorne

Re : Impossible d'installer Wine

Tu peux mettre les retours complets dans une seule balise Code (ou une par commande) sans les découper, ça tient, il y a un ascenseur qui s'affiche.

Pour la troisième commande, tu as fait une faute de frappe, c'est apt et pas pt (du coup, n'installe rien). Mais ne la relance pas tout de suite, fais d'abord les modifs ci-dessous.

Tu peux commencer par éditer ton sources.list :

sudo nano /etc/apt/sources.list

Supprime les quatre dernières lignes (qui concernent le dépôt WineHQ). Enregistre avec ctrl + O, valide le nom de fichier avec entrée, puis quitte l'éditeur Nano avec ctrl + X.

Ensuite, on va créer un fichier .list dédié pour remettre le dépôt WineHQ à la bonne version :

sudo nano /etc/apt/sources.list.d/winehq.list

Dans l'éditeur, colle ça :

deb https://dl.winehq.org/wine-builds/ubuntu/ focal main
# deb-src https://dl.winehq.org/wine-builds/ubuntu/ focal main

Comme précédemment, enregistre avec ctrl + O, valide le nom et ferme Nano avec ctrl + X.

Une fois que c'est fait, recharge la liste des dépôts :

sudo apt-get update

Ensuite, donne-moi le retour des deux commandes manquantes :

apt list | grep "installé, local"
dpkg -l | grep wine

Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#7 Le 22/02/2021, à 21:44

caillou12

Re : Impossible d'installer Wine

Merci du retour

pierre@pierre-Inspiron-3505:~$ apt list | grep "installé, local"

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

dpkg -l | grep wine ne donne toujours rien

Peut etre ai je mal fait...

Hors ligne

#8 Le 22/02/2021, à 22:12

abelthorne

Re : Impossible d'installer Wine

Ce n'est pas forcément anormal. Je pensais que le problème au début venait de conflits avec des paquets Wine déjà installés mais c'était peut-être juste à cause du dépôt 20.10 qui était encore là. On va vite le savoir, il suffit de retenter l'installation de Wine maintenant que les dépôts sont corrigés.

Au début, tu essayais d'installer la version stable. Personnellement, si c'est pour jouer, je te suggérerais plutôt la variante Staging, qui intègre des patches qui peuvent être indispensables pour corriger des problèmes avec certains jeux (mais qui en contrepartie peuvent en poser d'autres mais c'est plus rare).
Si tu veux installer la variante Staging :

sudo apt install --install-recommends winehq-staging

Si tu préfères la version stable comme tu le prévoyais :

sudo apt install --install-recommends winehq-stable

Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#9 Le 22/02/2021, à 22:43

caillou12

Re : Impossible d'installer Wine

Quand je parle de jouer je parle, j'exagère... je joue de temps en temps a Football manager big_smile (un amour de jeunesse, je me fait une ptite cure de temps en temps). Du coups je me suis dit que la version stable était plus rassurante (vu que le jeux n'est pas un jeu trés puissant!!)

Pour revenir au sujet, j'ai relancé l'installation (stable du coup), je n'ai pas eu de message d'erreur mais j'ai l'impression que rien ne s'est passé... je ne trouve pas wine dans les appli du pc...

Hors ligne

#10 Le 22/02/2021, à 23:21

abelthorne

Re : Impossible d'installer Wine

C'est normal, Wine s'utilise en ligne de commande, tu n'auras pas d'entrée dans le menu Applications. Avec la version de WineHQ, tu as une option "lancer avec Wine" en faisant un clic droit sur un exécutable mais c'est conseillé de passer plutôt par une appli qui servira d'interface comme Lutris ou PlayOnLinux (Lutris étant plus complet).

Quoi qu'il en soit, si tu veux vérifier que Wine est bien installé, tu peux taper la commande suivante dans un terminal :

wine --version

Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#11 Le 23/02/2021, à 09:50

caillou12

Re : Impossible d'installer Wine

Cool,
Merci, c'est impressionnant de voir a quel point tout cela à l'air simple pour toi!!
J'ai réussi a installé Epic Games, maintenant je n'arrive pas à mettre a jour "Epic games" et je n'arrive pas à faire fonctionner mon jeu non plus hmm !!!
Mais je vais fouiller tout cela et contacter leur assistance si besoin.
Merci !

Hors ligne

#12 Le 23/02/2021, à 10:19

abelthorne

Re : Impossible d'installer Wine

L'assistance d'Epic (ou d'un autre éditeur) ne t'aidera pas pour faire tourner des jeux sur une plate-forme non supportée.

Je n'utilise pas l'EGS mais je sais qu'il y a un soft qui facilite son utilisation avec Wine : Heroic Games Launcher. Le développement est récent et il manque apparemment encore un peu de fonctionnalités mais tu peux y jeter un coup d'œil. Va voir dans ce sujet, j'avais posté un lien.

Dernière modification par abelthorne (Le 23/02/2021, à 10:19)


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#13 Le 23/02/2021, à 10:40

Tawal

Re : Impossible d'installer Wine

Hello,

abelthorn a écrit :

Il y a aussi Lutris, qui est à mon avis plus intéressant que POL

Merci, je ne connaissais pas Lutris, je crois bien qu'il va remplacer POL.


Le savoir n'a d’intérêt que si on le transmet.
Debian 10 Buster stable - Xfce

Hors ligne

#14 Le 23/02/2021, à 11:36

caillou12

Re : Impossible d'installer Wine

abelthorne a écrit :

L'assistance d'Epic (ou d'un autre éditeur) ne t'aidera pas pour faire tourner des jeux sur une plate-forme non supportée.

Je n'utilise pas l'EGS mais je sais qu'il y a un soft qui facilite son utilisation avec Wine : Heroic Games Launcher. Le développement est récent et il manque apparemment encore un peu de fonctionnalités mais tu peux y jeter un coup d'œil. Va voir dans ce sujet, j'avais posté un lien.

Du coup un nouveau manque de connaissance me bloque...
je suis aller sur le lien qui envoie au téléchargement de Heroic Games Launcher, j'ai telechargé le fichier compressé et l'ai extrait. Et la je ne sais pas quoi faire, j'ai le dossier extrait dans mes fichiers. Mais je ne sais pas quel fichier exécuter pour lancer l'installation (ou si il faut le faire via une manip sur le terminal...

Hors ligne

#15 Le 23/02/2021, à 12:12

abelthorne

Re : Impossible d'installer Wine

Il faut que tu ailles sur la page Releases pour voir les différents formats prêts à l'emploi (ce que tu as téléchargé est vraisemblablement le code source). Sur Ubuntu, tu en as deux qui sont utilisables :
- le format deb : c'est le format de paquets utilisé nativement sur Ubuntu, quand tu installes des logiciels depuis les dépôts, c'est du deb ;
- le format AppImage : c'est une sorte d'exécutable qui contient tout ce qui est nécessaire dans un seul fichier.
Les deux autres (rpm et pacman) concernent d'autres distributions Linux (Fedora et Arch, respectivement).

Avec le deb, tu peux double-cliquer dessus, ça devrait ouvrir la logithèque pour l'installer dans le système. Note qu'en l'absence de dépôt, il n'y aura pas de mises à jour automatiques, il faudra suivre un peu la sortie des nouvelles versions pour télécharger le nouveau deb et l'installer à la place de l'ancien.

Avec l'AppImage, il n'y a pas vraiment d'installation : tu places le fichier où tu veux dans ton dossier perso, tu le rends exécutable dans ses propriétés et tu double-cliques dessus pour le lancer. Je ne sais pas s'il va rajouter une entrée dans le menu Applications (certaines AppImages le font, pas toutes), sinon il faudra le faire manuellement. Il n'y aura pas de mises à jour automatiques non plus, il faudra télécharger les nouvelles versions du fichier pour remplacer l'ancien.
Il existe un soft, AppImageLauncher, qui permet de simplifier la gestion des AppImages en créant automatiquement une entrée dans le menu. Il n'est pas dans les dépôts Ubuntu mais il y a un dépôt tiers pour l'installer facilement.

Première chose à faire : choisir le format que tu préfères. Sur Ubuntu, le deb sera le plus simple à gérer.


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#16 Le 23/02/2021, à 12:59

caillou12

Re : Impossible d'installer Wine

Ok, merci pour l'explication. Du coup je vais partir sur la simplicité afin de me familiariser avec Ubuntu!
Comme rien n'est jamais simple, l'installation du fichier dans la logithèque ne veut pas se faire.
J'ai un message : "Impossible d'installer le fichier. Il n'est pas pris en charge"

Hors ligne

#17 Le 23/02/2021, à 13:08

abelthorne

Re : Impossible d'installer Wine

C'est bien le fichier heroic_1.5.4_amd64.deb que tu as téléchargé ?

Tu peux essayer de l'installer en ligne de commande. S'il est dans ton dossier Téléchargements :

sudo dpkg -i ~/Téléchargements/heroic_1.5.4_amd64.deb
sudo apt-get install -f

Mais c'est bizarre que la logithèque te dise qu'il n'est pas pris en charge...


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#18 Le 23/02/2021, à 15:59

caillou12

Re : Impossible d'installer Wine

En effet j'essayais d'installer le logiciel directement depuis le dépôt. Je l'ai télécharger et cela fonctionne.
J'ai reussi a lancer le jeux. Mis a part quelques petits bug graphique (pas bien important) tout a l'air de fonctionner.
Petite question : du coup je doit aussi garder litrus pour faire fonctionner Heroic ou je peux le désinstaller?
Merci beaucoup en tout cas pour l'aide apporter !!

Hors ligne

#19 Le 23/02/2021, à 16:07

abelthorne

Re : Impossible d'installer Wine

Lutris peut être utile pour installer des jeux Windows non EGS (qui sont gérés par Heroic) et non Steam (qui sont gérés par Steam). Si tu n'en as pas, tu peux le supprimer mais il peut toujours servir.


Installation de Steam (obsolète sauf 16.04) / Battle.net / Neverwinter Nights • Groupe Steam Ubuntu-fr : http://steamcommunity.com/groups/ubuntufr

En ligne

#20 Le 23/02/2021, à 18:03

caillou12

Re : Impossible d'installer Wine

C'est noté !
Merci pour l'efficacité:)

Hors ligne